1

W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.

0
1
  1. Open a new Terminal window and run the following command:

sudo gedit /etc/apt/sources.list.d/google-chrome.list

  1. In the text file that opens edit the file so that the line reads:

deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

The only addition you need to make is entering the [amd64] architecture after ‘deb’ but preceding the ‘http’. Do not edit or replace any other text in this file.

  1. Hit Save. Close the Gedit window.

Now return to the Terminal and refresh your package list by running:

sudo apt-get update The ‘failed to fetch’ APT error should no longer appear.


source

3
  • The contents of the file you suggest state the following: ### THIS FILE IS AUTOMATICALLY CONFIGURED ### # You may comment out this entry, but any other modifications may be lost. # deb http://dl.google.com/linux/chrome/deb/ stable main It seems unlikely that this is the right place to make this change. – Minos Mar 25 '16 at 10:59
  • The file already contains that in my case. As of today/yesterday I get a weird error in the desktop UI about the update failing over chrome. What can it be? – matanster Apr 1 '16 at 20:38
  • Looks like making the UI error copy-pastable was not taken care of... but it "says package list or status file can not be parsed or opened" about google chrome. And the updates UI fails to launch since. Great. – matanster Apr 1 '16 at 20:45

Not the answer you're looking for? Browse other questions tagged or ask your own question.